Skip to content

Search work items ​

GET/api/v1/workspaces/{workspace_slug}/work-items/search/

Run a semantic search across work item names, sequence IDs, and project identifiers.

Path parameters ​

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Query parameters ​

limit:optionalinteger

Maximum number of results to return.

project_id:optionalstring

Project ID to limit results to one project.

search:requiredstring

Search query to filter results by name, description, or identifier.

workspace_search:optionalstring

Whether to search the whole workspace or only the given project.

Scopes ​

projects.work_items:read

Search work items
bash
curl -X GET \
  "https://api.plane.so/api/v1/workspaces/my-workspace/work-items/search/?limit=10&project_id=project-uuid" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response200
json
{
  "issues": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Example Name",
      "sequence_id": 123,
      "project__identifier": "MAB",
      "project_id": "550e8400-e29b-41d4-a716-446655440000",
      "workspace__slug": "my-workspace"
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Example Name",
      "sequence_id": 124,
      "project__identifier": "MAB",
      "project_id": "550e8400-e29b-41d4-a716-446655440000",
      "workspace__slug": "my-workspace"
    }
  ]
}